# Guess DWH Integration configuration

Perform Guess operation for complete DWH Integration configuration by providing basic_configs.

Endpoint: POST /v1/guess
Version: 1.0.0
Security: apiKey

## Request fields (application/json):

  - `basic_configs` (object)
    The basic configs of the DWH Integration.

  - `basic_configs.type` (string, required)
    Connector type

  - `basic_configs.td_authentication_id` (string, required)
    The existing Connector Authentication ID

  - `basic_configs.role` (string)
    Specify the role name, Leave blank to use default role.

  - `basic_configs.warehouse` (string)
    The Snowflake data Warehouse to use for the connection, e.g. "COMPUTE_WH"

  - `basic_configs.db` (string)

  - `basic_configs.schema` (string)
    The schema to use for the connection

  - `basic_configs.incremental` (boolean)
    Enable incremental loading for this connector

  - `basic_configs.catalog` (string)

  - `basic_configs.schema` (string)
    The schema to use for the connection. If not specified, default schema will be used.

  - `basic_configs.incremental` (boolean)
    Enable incremental loading for this connector. If this is enabled, you must specify the incremental_columns or Bulkload job will fail.

## Response 200 fields (application/json):

  - `basic_configs` (object)
    The basic configs of the DWH Integration.

  - `basic_configs.type` (string, required)
    Connector type

  - `basic_configs.td_authentication_id` (string, required)
    The existing Connector Authentication ID

  - `basic_configs.role` (string)
    Specify the role name, Leave blank to use default role.

  - `basic_configs.warehouse` (string)
    The Snowflake data Warehouse to use for the connection, e.g. "COMPUTE_WH"

  - `basic_configs.db` (string)

  - `basic_configs.schema` (string)
    The schema to use for the connection

  - `basic_configs.incremental` (boolean)
    Enable incremental loading for this connector

  - `basic_configs.catalog` (string)

  - `basic_configs.schema` (string)
    The schema to use for the connection. If not specified, default schema will be used.

  - `basic_configs.incremental` (boolean)
    Enable incremental loading for this connector. If this is enabled, you must specify the incremental_columns or Bulkload job will fail.

  - `advanced_configs` (array)
    The DWH Integration advanced configs. The configs contain array of 
of table configs which combine with the basic configs will be used to create Connector Bulkload Session.

  - `advanced_configs.target_table` (string)
    The name of the TD table to import data into.

  - `advanced_configs.config` (object)
    The configuration which will merge with the basic_configs to form a complete Connector configuration for Bulkload job.
Some of the config from the basic_configs can declare here to override the basic_configs.

  - `advanced_configs.config.type` (string)
    Connector type, e.g. snowflake, redshift

  - `advanced_configs.config.source_type` (string)
    Specify the import type, either via a table/view or via a query.
    Enum: "table_view", "query"

  - `advanced_configs.config.query` (string)
    Use with (source_type: query) to specify a custom query for importng.

  - `advanced_configs.config.select` (string)
    Comma-separated list of columns to SELECT. Use with (source_type: table_view) to query for columns

  - `advanced_configs.config.table` (string)
    The table/view to import from. Use with (source_type: table_view)

  - `advanced_configs.config.where` (string)
    Specify a WHERE condition to filter the data

  - `advanced_configs.config.order_by` (string)
    Specify the columns to order the data by

  - `advanced_configs.config.incremental` (boolean)
    Enable incremental loading for this connector?

  - `advanced_configs.config.incremental_columns` (array)
    List of column(s) to incremental on. Only timestamp and numeric columns are accepted. 
If not set, it will try to find and use the primary keys

  - `advanced_configs.config.invalid_value_option` (string)
    Specify how to handle invalid data values.
    Enum: "fail_job", "insert_null", "ignore_row"

  - `advanced_configs.config.use_custom_query` (boolean)
    If you need more than a simple SELECT (columns) FROM table WHERE (condition).

  - `advanced_configs.config.query` (string)
    Use with (use_custom_query: true) to specify a custom query for importing.

  - `advanced_configs.config.select` (string)
    Comma-separated list of columns to ingest. Use with (use_custom_query: false) to query for columns.

  - `advanced_configs.config.table` (string)
    The table/view to import from. Use with (use_custom_query: false)

  - `advanced_configs.config.where` (string)
    Specify a WHERE condition to filter the data. Use with (use_custom_query: false)

  - `advanced_configs.config.order_by` (string)
    Specify the columns to order the data by. Use with (use_custom_query: false)

  - `advanced_configs.config.last_record` (array)
    Values for columns used in incremental loading. Ignores records with column values less than this
    Enum: "string", "number", "boolean", "null"

## Response 400 fields (application/json):

  - `error` (object)

  - `error.code` (integer)
    The HTTP status code

  - `error.title` (string)
    The error title

  - `error.message` (any)
    The error message

## Response 401 fields (application/json):

  - `error` (object)

  - `error.code` (integer)
    The HTTP status code

  - `error.title` (string)
    The error title

  - `error.message` (any)
    The error message

## Response 403 fields (application/json):

  - `error` (object)

  - `error.code` (integer)
    The HTTP status code

  - `error.title` (string)
    The error title

  - `error.message` (any)
    The error message

## Response 404 fields (application/json):

  - `error` (object)

  - `error.code` (integer)
    The HTTP status code

  - `error.title` (string)
    The error title

  - `error.message` (any)
    The error message

## Response 500 fields (application/json):

  - `error` (object)

  - `error.code` (integer)
    The HTTP status code

  - `error.title` (string)
    The error title

  - `error.message` (any)
    The error message

